
class HdaAppThemeAMAHI_THEME_CAMELInstaller
  def up
    app = "AMAHI_THEME_NAME"
    appname = "theme_" + app
    tgt = "#{HDA_BASE}/platform/html"
    FileUtils.cd("#{HDA_BASE}/platform/apps/#{appname}") do
      FileUtils.cp_r("theme", "#{tgt}/public/themes/#{app}")
    end
    ThemeAMAHI_THEME_CAMELTable.migrate :up
    pid = HdaPackage.find(:first, :conditions => "name='#{appname}'")[:id]
    HdaApplication.new(:hda_package_id => pid, :hda_user_id => 1).save
    true
  end

  def down
    # FIXME - this could be simplified to only input the name once
    app = "AMAHI_THEME_NAME"
    appname = "theme_" + app
    tgt = "#{HDA_BASE}/platform/html"
    FileUtils.cd(tgt) do
      FileUtils.rm_rf("public/themes/#{app}")
    end
    ThemeAMAHI_THEME_CAMELTable.migrate :down
    pid = HdaPackage.find(:first, :conditions => "name='#{appname}'")[:id]
    HdaApplication.find(:all, :conditions => "hda_package_id=#{pid}").each {|r| r.destroy}
    true
  end

  def user_up u
    true
  end

end

class ThemeAMAHI_THEME_CAMELTable < ActiveRecord::Migration
  def self.up
    begin
	# check and see if it exists - it could be an update
	# delete the entry anyway
    	Theme.destroy_all("css='AMAHI_THEME_NAME'")
	Theme.new(:name => "AMAHI_THEME_NAME", :css => 'AMAHI_THEME_NAME').save
    rescue
        # FIXME: should report an error!
    end
  end

  def self.down
    # FIXME: ask the user for confirmation if he/she wants to delete it!
    Theme.destroy_all("css='AMAHI_THEME_NAME'")
  end
end

